Credentials
Upload a provider credential
Authorization
SessionToken AuthorizationBearer <token>
A session token, sent as Authorization: Bearer …. Sign in on the dashboard to obtain one, or run carillon login. Management endpoints require a session token.
In: header
Path Parameters
appId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials" \ -H "Content-Type: application/json" \ -d '{ "provider": "apns", "key_id": "string", "material": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider": "apns", "key_id": "string", "team_id": "string", "bundle_id": "string", "fingerprint": "string", "status": "valid", "validated_at": "2019-08-24T14:15:22Z", "last_error": "string", "created_at": "2019-08-24T14:15:22Z"}